[Fai-commit] r4308 - trunk/bin

lange at alioth.debian.org lange at alioth.debian.org
Mon Jun 11 12:27:23 UTC 2007


Author: lange
Date: 2007-06-11 12:27:23 +0000 (Mon, 11 Jun 2007)
New Revision: 4308

Modified:
   trunk/bin/device2grub
Log:
fix pattern to support /dev/cciss and /dev/ida devices (closes: #416381)


Modified: trunk/bin/device2grub
===================================================================
--- trunk/bin/device2grub	2007-06-11 09:51:12 UTC (rev 4307)
+++ trunk/bin/device2grub	2007-06-11 12:27:23 UTC (rev 4308)
@@ -1,5 +1,5 @@
 #! /usr/bin/perl
-# copyright Thomas Lange 2001, lange at debian.org
+# copyright Thomas Lange 2001-2007, lange at debian.org
 # map "normal" device notation to grub notation
 
 # TODO: read from stdin if no parameter given
@@ -17,13 +17,13 @@
   $map{$olddevice} = $grubdevice;
 }
 
-$device=~ m#^(/dev/[sh]d\D)(\d*)$# || die "Can't match device: $device\n";
+$device=~ m#^(/dev/(?:[sh]d\D|ida/c\d*d\d*|cciss/c\d*d\d*))p*(\d*)$# || die "Can't match device: $device\n";
 my ($disk,$partition) = ($1,$2);
 
 if ($map{$disk}) {
   $grubdevice=$map{$disk};
 } else {
-  die "No match in $devicemap for $disk\n"; 
+  die "No match in $devicemap for $disk\n";
 }
 
 if ($partition) {




More information about the Fai-commit mailing list